stl_vector.h File Reference

Go to the source code of this file.

## Classes

struct | std::_Vector_base< _Tp, _Alloc >
class | std::vector< _Tp, _Alloc >

## Namespaces

| std

## Macros

#define | _GLIBCXX_ASAN_ANNOTATE_BEFORE_DEALLOC
#define | _GLIBCXX_ASAN_ANNOTATE_GREW(n)
#define | _GLIBCXX_ASAN_ANNOTATE_GROW(n)
#define | _GLIBCXX_ASAN_ANNOTATE_REINIT
#define | _GLIBCXX_ASAN_ANNOTATE_SHRINK(n)

## Functions

template<typename _Tp , typename _Alloc >
bool | std::operator!= (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | std::operator< (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | std::operator<= (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | std::operator== (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | std::operator> (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | std::operator>= (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
void | std::swap (vector< _Tp, _Alloc > &__x, vector< _Tp, _Alloc > &__y) noexcept(/*conditional */)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <vector>.

Definition in file stl_vector.h.